%define marblewidget_major 28
%define libmarblewidget %mklibname marblewidget-qt5 %{marblewidget_major}
%define astro_major 1
%define libastro %mklibname astro %{astro_major}
%define marble_devel %mklibname kf5marble -d

Name: marble
Summary: A virtual globe and world atlas
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: LGPLv2
URL: http://www.kde.org/applications/education/marble/
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

BuildRequires: shapelib-devel
BuildRequires: python-devel
BuildRequires: libwlocate-devel
BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
BuildRequires:  cmake
BuildRequires:  qtbase5-common-devel
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}qt5network-devel
BuildRequires:  %{_lib}qt5qml-devel
BuildRequires:  %{_lib}qt5quick-devel
BuildRequires:  %{_lib}qt5webchannel-devel
BuildRequires:  %{_lib}qt5opengl-devel
BuildRequires:  %{_lib}qt5printsupport-devel
BuildRequires:  %{_lib}qt5positioning-devel
BuildRequires:  %{_lib}qt5sql-devel
BuildRequires:  %{_lib}qt5svg-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}qt5multimedia-devel
BuildRequires:  %{_lib}qt5xmlpatterns5-devel
BuildRequires:  %{_lib}qt5concurrent-devel
BuildRequires:  %{_lib}qt5xml-devel

BuildRequires:  %{_lib}qt5serialport-devel
BuildRequires:  %{_lib}kf5krunner-devel
BuildRequires:  %{_lib}qt5help-devel 
BuildRequires:  %{_lib}kf5wallet-devel
BuildRequires:  %{_lib}kf5newstuff-devel
#-----------------------------------------------------------------------

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files
%_kf5_bindir/marble
%_kf5_bindir/marble-qt
%_kf5_sysconfdir/xdg/marble.knsrc
%_kf5_datadir/marble
%_kf5_datadir/metainfo
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/mime/packages/geo.xml
%_kf5_datadir/config.kcfg/marble.kcfg
%_kf5_datadir/kxmlgui5/marble/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.worldclock/
%_kf5_datadir/plasma/wallpapers/org.kde.plasma.wallpaper.worldmap/
%_kf5_services/*.desktop
%_kf5_iconsdir/hicolor/128x128/apps/marble.png
%_kf5_iconsdir/hicolor/16x16/apps/marble.png
%_kf5_iconsdir/hicolor/22x22/apps/marble.png
%_kf5_iconsdir/hicolor/32x32/apps/marble.png
%_kf5_iconsdir/hicolor/48x48/apps/marble.png
%_kf5_iconsdir/hicolor/64x64/apps/marble.png
%_kf5_qmldir/org/kde/marble/
%dir %_kf5_libdir/marble
%_kf5_libdir/marble/plugins/
%_qt5_plugindir/*.so
%_kf5_libdir/libmarbledeclarative.so

%_kf5_libdir/libastro.so.%{astro_major}
%_kf5_libdir/libastro.so.0.*

%_kf5_libdir/libmarblewidget-qt5.so.%{marblewidget_major}
%_kf5_libdir/libmarblewidget-qt5.so.0*
%_kf5_datadir/locale

%package handbook
Summary: %{name} Handbook
Group: Documentation
BuildArch: noarch
Requires: %name

%description handbook
This package provides %{name} Handbook.

%files handbook
%_kf5_datadir/doc/HTML
#--------------------------------------------------------------------

%package -n %marble_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %marble_devel
Files needed to build applications based on %{name}.

%files -n %marble_devel
%_includedir/marble
%_includedir/astro
%_kf5_libdir/libastro.so
%_kf5_libdir/libmarblewidget-qt5.so
%_kf5_libdir/cmake/Marble/
%_kf5_libdir/cmake/Astro/
/usr/mkspecs/modules
#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 

%{cmake_kf5} \
  -DBUILD_MARBLE_APPS=ON \
  -DBUILD_MARBLE_TESTS=OFF \
  -DBUILD_TESTING=OFF \
  -DBUILD_WITH_DBUS=ON \
  -DMOBILE=OFF \
  -DQTONLY=ON -DQT5BUILD=ON \
  -DWITH_DESIGNER_PLUGIN=OFF ..

%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Wed Jun 28 2017 bb2 <bb2> - 17.04.2-2pclos2017
- rebuild without libgpsd-devel

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Tue Feb 21 2017 pp <pp> 16.12.2-3pclos2017
- rebuild with updated BR

* Sun Feb 19 2017 pp <pp> 16.12.2-2pclos2017
- rebuild against newer shapelib version

* Fri Feb 10 2017 bb <bb> 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> 16.12.1-1pclos2017
- new version

* Sat Dec 31 2016 bb <bb> 16.12.0-2pclos2017
- fix devel pull

* Thu Dec 15 2016 bb <bb> 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update

